package com.iamberry.wechat.service.wechat.dao;

import com.iamberry.wechat.core.entity.wx.FirstJoinKey;



public interface FirstJoinKeyDAO {
	
	/**
	 * 获取首次推送消息的FirstJoinKey对象
	 */
	public FirstJoinKey getBywxpublicNO(String wxpublicNo);
	
	
	/**
	 * 修改记录
	 * 根据FirstJoinKey对象中的wxpublicNo
	 */
	public int updatebyFirstJoinKey(FirstJoinKey firstJoinKey);
	
	/**
	 * 添加记录
	 */
	public int addFirstJoinKey(FirstJoinKey firstJoinKey);
}
